> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zeal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Work Location

> Update the name or work_site_id of an existing Work Location in Zeal's system.



## OpenAPI

````yaml openapi/zeal-api.json patch /workLocations
openapi: 3.1.0
info:
  title: zeal-api
  version: '1.0'
servers:
  - url: https://api.zeal.com
security:
  - sec0: []
paths:
  /workLocations:
    patch:
      summary: Update Work Location
      description: Update's a Work Location in Zeal.
      operationId: update-work-location
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - companyID
                - workLocationID
              properties:
                companyID:
                  type: string
                  description: The ID of an existing Company Object
                workLocationID:
                  type: string
                  description: The ID of an existing Work Location Object
                name:
                  type: string
                  description: A name for the new Work Location
                work_site_id:
                  type: string
                  description: Optional Custom Work Site ID for your own reporting purposes
            examples:
              Request Example:
                value:
                  companyID: 24b5b29f07924840b119c34d1351940c
                  workLocationID: 624c898d94de2a0034869f8b
                  name: Miami Office
                  work_site_id: MIA
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    success: true
                    data:
                      companyID: '1234567890'
                      workLocationID: 531fece70b6d0b5d29c9f352
                      taxableLocationID: 609ffdf81a5f9c4c10b0c443
                      name: Miami Office
                      work_site_id: MIA
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                    default: true
                  data:
                    type: object
                    properties:
                      companyID:
                        type: string
                        example: '1234567890'
                      workLocationID:
                        type: string
                        example: 531fece70b6d0b5d29c9f352
                      taxableLocationID:
                        type: string
                        example: 609ffdf81a5f9c4c10b0c443
                      name:
                        type: string
                        example: Miami Office
                      work_site_id:
                        type: string
                        example: MIA
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value:
                    success: false
                    errors:
                      - message: Invalid WorkLocation ID
                        status: 400
                        code: 13
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                    default: true
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        message:
                          type: string
                          example: Invalid WorkLocation ID
                        status:
                          type: integer
                          example: 400
                          default: 0
                        code:
                          type: integer
                          example: 13
                          default: 0
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: bearer

````